Bug 593555 - java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686: Dependency error
java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686: Dependency error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.0
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Release Test Team
: Reopened
Depends On:
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-05-19 02:38 EDT by Marian Ganisin
Modified: 2010-11-11 11:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:28:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2010-05-19 02:38:12 EDT
Supplementary set contains package:
java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686

that reports following dependency errors:
Error: Package: 1:java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686 (/java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686)
           Requires: libgmodule-1.2.so.0
Error: Package: 1:java-1.5.0-ibm-jdbc-1.5.0.11.1-1jpp.1.el6.i686 (/java-1.5.0-ibm-jdbc-1.5.0.11.1-1jpp.1.el6.i686)
           Requires: libodbc.so.1
Error: Package: 1:java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686 (/java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686)
           Requires: libgdk-1.2.so.0
Error: Package: 1:java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686 (/java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686)
           Requires: libgtk-1.2.so.0
Comment 1 Marian Ganisin 2010-05-19 03:23:23 EDT
This is only i686 package, supplementary for other architectures doesn't contain it.
Comment 2 Bill Nottingham 2010-05-19 14:07:29 EDT
These libraries are intentionally not included in the product.
Comment 3 RHEL Product and Program Management 2010-05-19 14:17:54 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 4 Marian Ganisin 2010-05-20 01:50:27 EDT
(In reply to comment #2)
> These libraries are intentionally not included in the product.    

That's clear. Then there is no place for java-1.5.0-ibm-plugin-1.5.0.11.1-1jpp.1.el6.i686 on Supplementary set.

Fix seems to be quite simple, let's remove also java-1.5.0-ibm-plugin from Supplmentary set, it was probably added by mistake.
Comment 5 Bill Nottingham 2010-05-20 10:08:59 EDT
Moving to releng, then.
Comment 6 Dennis Gregorovic 2010-05-20 10:47:32 EDT
java-1.5.0-ibm-plugin dropped from comps.xml
Comment 7 Alexander Todorov 2010-07-09 04:48:56 EDT
# pwd
/mnt/redhat/rel-eng/RHEL6.0-Supplementary-20100708.1/6

# find -name "java-1.5.0-ibm-plugin*"

No java-1.5.0-ibm-plugin included. Moving to VERIFIED.
Comment 8 releng-rhel@redhat.com 2010-11-11 11:28:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.